Type to search.

Get organization IdP

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Gets the oranization's IdP. Currently unavailable in self-hosted ECE.

Path parameters

organization_id string required

Identifier for the Organization

Responses

The IdP info

application/json
login_identifier string required

The login identifier that is unique to this organization

sso_login_url string required

The Elastic Cloud login URL for this IdP

metadata_url string required

The SAML2 metadata url for downloading the SAML2 SP metadata XML

acs string required

The SAML2 assertion consumer service of the SP

sp_entity_id string required

The SP entity ID and the audience for SAML2 response assertions

signing_certificate string[] required

The certificate that will sign SAML2 requests to the IdP

encryption_certificate string[] required

The certificate that the IdP can use to encrypt SAML assertions. Encryption is optional

configuration object required

The organization's IdP configuration

enabled boolean required

Whether or not the IdP is enabled

login_identifier_prefix string required

The prefix of the login identifier that will be generated

saml_idp object required

SAML2 IdP configuration object

public_certificate string[] required

Base64-encoded PEM-format X.509 certificate

issuer string required

The IdP URI that identifies the issuer of a SAML2 response message assertion

sso_url string required

The IdP SAML HTTP-POST endpoint URL that will receive SAML requests during SP-initiated login